.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}

body {
    font-family: "Montserrat", sans-serif !important;
    font-optical-sizing: auto;
    font-style: normal;
    font-size: 16px;
    color: #030303;
    min-width: 450px;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

.main-title {
    padding: 60px 0 64px 0;
}

.main-footer {
    box-shadow: 2px -2px 10px rgba(3,3,3,0.1);
    padding: 52px 64px;
}

.main-card {
    width: 424px;
    height: 445px;
    border-radius: 40px;
    box-shadow: 2px 0px 10px rgba(3,3,3,0.1);
    padding: 40px 32px;
}

.color-white {
    color: #ffffff;
}

.bg-cost-block {
    background-color: #d79eff;
}

.font-size-14 {
    font-size: 14px;
}

.font-size-18 {
    font-size: 18px;
}

.font-size-24 {
    font-size: 24px;
}

.font-size-20 {
    font-size: 20px;
}

.font-size-28 {
    font-size: 28px;
}

.font-size-64 {
    font-size: 64px;
}

.font-weight-600 {
    font-weight: 600;
}

.font-weight-700 {
    font-weight: 700;
}

.line-height-21 {
    line-height: 21px;
}

.line-height-23 {
    line-height: 23px;
}

.line-height-32 {
    line-height: 32px;
}

.line-height-78 {
    line-height: 78px;
}

.margin-right-20 {
    margin-right: 20px;
}

.margin-bottom-12 {
    margin-bottom: 12px;
}

.margin-bottom-16 {
    margin-bottom: 12px;
}

.margin-bottom-28 {
    margin-bottom: 28px;
}

.white-border-bottom {
    border-bottom: 1px solid white;
}

.requests-padding-left {
    padding-left: 32px;
}

.padding-64 {
    padding: 64px;
}

.padding-48 {
    padding: 48px;
}

.profile-card:hover {
    box-shadow: 2px 0px 10px #d79eff !important;
}

.pagination .page-link {
    color: #d79eff; /* Green text */
    border-color: #d79eff; /* Green border */
}

    /* Hover state */
    .pagination .page-link:hover {
        color: #8324c5;
        background-color: #d79eff94;
        border-color: #d79effcf;
    }

/* Active state (current page) */
.pagination .page-item.active .page-link {
    color: white; /* White text */
    background-color: #d79eff; /* Green background */
    border-color: #d79eff;
}

/* Disabled state */
.pagination .page-item.disabled .page-link {
    color: #6c757d; /* Gray text */
    background-color: #f8f9fa; /* Light gray background */
    border-color: #dee2e6;
}

.video-container {
    position: relative;
    padding-bottom: 56.25%; /* 16:9 aspect ratio */
    height: 0;
    overflow: hidden;
    max-width: 100%;
    background: #000;
}

    .video-container iframe {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border: 0;
    }


.button {
    cursor: pointer;
    height: 49px;
    padding: 0px 16px;
    border: 0;
    box-sizing: border-box;
    border-radius: 24px;
    font-size: 16px;
    line-height: 21px;
    outline: none;
}

.background-lavander {
    background-color: #d79eff;
}

.background-white {
    background-color: white;
}

.button-purple-circle {
    margin-right: 12px;
    cursor: pointer;
    width: 48px;
    height: 48px;
    padding: 0px 8px;
    border: 0;
    box-sizing: border-box;
    border-radius: 24px;
    background-color: #d79eff;
    color: #ffffff;
    font-size: 12px;
    font-weight: 600;
    line-height: 16px;
    outline: none;
}

.button-1 {
    background-color: #6B1650;
    color: #E7C6FF;
}

    .button-1:hover {
        background-color: #6B1650;
        color: #FFD6FF;
        box-shadow: 0px 4px 4px 0px #00000040;
    }

.button-2 {
    background-color: #240046;
    color: #B892FF;
    font-weight: 900;
    font-size: 27px;
    line-height: 100%;
    letter-spacing: 0%;
    padding: 28px 20px;
    border-radius: 40px;
    height: auto;
}

    .button-2:hover {
        background-color: #3C096C;
        color: #E0D9E8;
        box-shadow: 0px 4px 4px 0px #00000040;
    }


.button-3 {
    background-color: #FF7DA0;
    color: #F4BBC9;
}

    .button-3:hover {
        background-color: #FF87AB;
        color: #FFD9E5;
        box-shadow: 0px 4px 4px 0px #00000040;
    }

.icon-main {
    height: 64px;
    margin-right: 12px;
}

.padding-right-video-demo {
    padding-right: 48px;
}

.contacts-padding-right {
    padding-right: 32px;
}

.contacts-padding-left {
    padding-left: 32px;
}

.header-paddings {
    padding-left: 60px;
    padding-right: 60px;
}

    @media screen and (max-width: 1399px) {
        .bg-cost-block {
            background-color: white;
        }

        .requests-padding-left {
            padding-left: 12px;
        }

        .header-paddings {
            padding-left: 12px;
            padding-right: 12px;
        }
    }

    @media screen and (max-width: 767px) {
        .padding-side-sm-48 {
            padding-left: 48px;
            padding-right: 48px;
        }

        .padding-top-sm-32 {
            padding-top: 32px;
        }

        .padding-right-video-demo {
            padding-right: 0;
        }

        .contacts-padding-right {
            padding-right: 12px;
            margin-top: 28px;
        }

        .contacts-padding-left {
            padding-left: 12px;
        }

        .header-paddings {
            padding-left: 12px;
            padding-right: 12px;
        }
    }

    @media screen and (max-width: 575px) {
        .margin-bottom-xs-12 {
            margin-bottom: 12px;
        }

        .header-paddings {
            padding-left: 12px;
            padding-right: 12px;
        }
    }